Subject: [hrpc] HRPC draft research feedback

From: Scott Craig <[email-masked]>
Date: Fri, 13 May 2016 13:11:54 +0100

Hey Corrine, Niels,

I have been reading though your recent draft <https://datatracker.ietf.org/doc/draft-tenoever-hrpc-research/>  <https://datatracker.ietf.org/doc/draft-tenoever-hrpc-research/>on protocol considerations. There were a couple of things I couldn’t figure out from the text that I was hoping you might be able to clarify. 

Firstly, what specific relationship is the visual equation (of architectural features to rights) intended to imply?  

	eg. (  Connectivity )
   (      Privacy                )
   (      Security               )   = Right to freedom of expression
   (      Content agnosticism    )
   (      Internationalization   )
   (      Censorship resistance  )
   (      Open Standards         )
    (     Heterogeneity support )

Is it intended to imply that no other architectural feature bears upon that right? Or, is it intended to imply that ALL of the listed architectural features MUST be present in order for the right to be protected? And If not all, then how many need not be present before a protocol can be considered to abrogate a right?
	
Secondly, what method/principals have you used to determine which rights are affected by which architectural features (technical concepts)? I expected to see an explanation of this in section 5.2.2 of the methodology but t I couldn't seem to find one there or elsewhere in the doc. Have I missed this somewhere?

Many thanks, and great work!

Scott

Scott Craig | Ford-Mozilla Fellow
Center for Democracy & Technology | cdt.org <https://cdt.org/>
E: [email-masked] <http://cdt.org/> | D: 1.202.407.8887 <tel:202.407.8887> | @scottdavidcraig